Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RakPeer::RemoteSystemStruct Struct Reference

Store Remote System Description. More...

`#include <RakPeer.h>`

List of all members.

## Public Attributes
PlayerID | playerId
PlayerID | myExternalPlayerId
ReliabilityLayer | reliabilityLayer
bool | weInitiatedTheConnection
PingAndClockDifferential | pingAndClockDifferential [PING_TIMES_ARRAY_SIZE]
int | pingAndClockDifferentialWriteIndex
int | lowestPing
unsigned long | nextPingTime
RakNet::BitStream | staticData
unsigned long | connectionTime

## Detailed Description

Store Remote System Description.

RakPeer need to maintain a set of information concerning all remote peer This is the goal of this structure.

## Member Data Documentation

unsigned long RakPeer::RemoteSystemStruct::connectionTime

| connection time

int RakPeer::RemoteSystemStruct::lowestPing

| The lowest ping value encounter

PlayerID RakPeer::RemoteSystemStruct::myExternalPlayerId

| Your own IP, as reported by the remote system

unsigned long RakPeer::RemoteSystemStruct::nextPingTime

| When to next ping this player

PingAndClockDifferential RakPeer::RemoteSystemStruct::pingAndClockDifferential[PING_TIMES_ARRAY_SIZE]

| last x ping times and calculated clock differentials with it

int RakPeer::RemoteSystemStruct::pingAndClockDifferentialWriteIndex

| The index we are writing into the pingAndClockDifferential circular buffer

PlayerID RakPeer::RemoteSystemStruct::playerId

| The remote system associated with this reliability layer

ReliabilityLayer RakPeer::RemoteSystemStruct::reliabilityLayer

| The reliability layer associated with this player

RakNet::BitStream RakPeer::RemoteSystemStruct::staticData

| static data

bool RakPeer::RemoteSystemStruct::weInitiatedTheConnection

| True if we started this connection via Connect. False if someone else connected to us.

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/RakPeer.h